| Home | Libraries | People | FAQ | More

## Struct template wants_basic_expr

boost::proto::wants_basic_expr

## Synopsis

    // In header: <boost/proto/generate.hpp>

    template<typename Generator>
    struct wants_basic_expr :  mpl::bool_< true-or-false > {
    };

## Description

A Boolean metafunction that tests a generator to see whether it would prefer to be passed instances of `proto::basic_expr<>` rather than `proto::expr<>`.